part of 'time_card_bloc.dart';

abstract class TimeCardEvent extends Equatable {
  const TimeCardEvent();
  @override
  List<Object?> get props => [];
}

class LoadTimeCards extends TimeCardEvent {
  final DateTime month;
  const LoadTimeCards(this.month);
  
  @override
  List<Object?> get props => [month];
}

class ChangeMonth extends TimeCardEvent {
  final DateTime month;
  const ChangeMonth(this.month);

  @override
  List<Object?> get props => [month];
}
